/******************************************************************************
Filename:     lmodRfStack.h
Description:
H.Zheng common building block layer module library: WSN RF part

modification:
  2012.05.06 ӿ1 StackmodRf.hнstackʵصĶƵļ.

COPYRIGHT
Zheng Hui, Guangzhou, China.

******************************************************************************/
#ifndef LMOD_RF_STACK_H
#define LMOD_RF_STACK_H

#include "modTypes.h"

/**
 * ýշصӿ
 */
/**
 * received packet callback function.
 * provided by application layer module to handle received packet
 */
typedef void modRfTxCallbackFunction();

void modRfSetTxStartCallback(modRfTxCallbackFunction* vFunction );

void modRfSetTxEndCallback(modRfTxCallbackFunction* vFunction );

/**
 * ýշصӿ
 */

typedef void modRfRxRawCallbackFunction(unsigned char vSize, unsigned char* vPacket);

void modRfSetRxRawCallback(modRfRxRawCallbackFunction* vFunction );


/**
 * MAC Timerؽӿ
 */
void lmodInitMACTimer(void);

uint32 lmodGetMACTimer(void);

void modInitRandomGenerator(void);

//uint8 modGetRandomByte(void); //move to modRfStack.h  2012.07.15


/**
 * ͷӿ: LR_WPAN stack
 */
int8 modRfSendRawPkt(uint8 vSize, uint8* vPacket);

/**
 * Ƶӿ
 */
void modSetRfChannel(unsigned char vChannel);
void modSetRfNodeId(unsigned short vNodeId);
unsigned short modGetRfNodeId();
void modSetRfPanId(unsigned short vPanId);
unsigned short modGetRfPanId();

/**
 * ȡFlashеIEEEַӿ
 */
void modGetProcessorIEEEAddress(unsigned char *vBuf);

/**
 * üĴеIEEEַ
 */
void modSetRfIEEEAddress(unsigned char *vBuf);


#endif  // LMOD_RF_STACK_H
