/******************************************************************************
Filename:     modSysSimpleImpl.c
Target:       cc2430
Revised:      2008.01.05
Revision:     0.10

Description:
H.Zheng 802.15.4 building block layer module library: system part

һּ򵥵modSys.hӿڵʵַʽ
Ŀǰʵʱýӿڡ

modification:
2008.1.14 creation Zheng Hui
2012.05.06 ¶Ĺӿ޸
2012.07.07 ԿgModDebugFlag

COPYRIGHT
Zheng Hui, Guangzhou, China. hzheng@gzhu.edu.cn. Guangzhou University

******************************************************************************/
#include <ioCC2530.h>
#include "modSys.h"
#include "hal_mcu.h"

/**
 * Կ
 */
uint8 gModStackDebugFlag=0;

/**
 * ΢ʼӿ
 */
int8 modMcuInit() { //ԾΪʱ
  halMcuInit();
  return 0;
}

/**
 * ʱӿڣ
 * 
 *     vMilliSecond: ʱ
 * עʱʱ䲻ȷ
 */
int8 modDelay(uint16 vMilliSecond){
  halMcuWaitMs(vMilliSecond);
  return 0;
}

/**
 * usʱӿڣ
 * 
 *     vMicroSecond: ʱ΢
 * עʱʱ䲻ȷ
 */
int8 modDelayUs(uint16 vMicroSecond){
  halMcuWaitUs(vMicroSecond);
  return 0;
}

/**
 * ȡж״̬
 */
uint8 modGetInterruptMode() {
  return EA;
}

/**
 * ж״̬: 0=disable; 1=enable
 */
void modGlobalInterruptEnable(uint8 vEnabled) {
  EA = vEnabled;
}
