/******************************************************************************
Filename:     modUsbUart.h

Description:
H.Zheng common building block layer module library: USB UART part
Interface with CC2531, vitual UART mode

modification:
2012.10.03 creation Zheng Hui

COPYRIGHT
Zheng Hui, Guangzhou, China. hzheng@gzhu.edu.cn. Guangzhou University

******************************************************************************/
#ifndef MOD_USB_UART_H
#define MOD_USB_UART_H

#include "modTypes.h"
#include "modUart.h"

//
// עķֵѭmodTypes.hеĶ壺0Ϊɹ<0Ϊʧܣ-4Ϊֵֻ֧򱾺δʵ֡
//


/**
 *ӿʹ÷
 *  ѯƣӦñִmodUsbUartDoProcess()շƵ
 *
 *ʼ
 *  modUsbUartInit();
 *  modUsbUartSetRxCallback();
 *
 *ִУ
 *  modUsbUartDoProcess();
 *һʱ䲻ִmodUsbDoProcess()ʱִRFʱ֪ͨPCͣݣ
 *  modUsbUartDisableRxFlow();
 *ָ
 *  modUsbUartEnableRxFlow();
 *
 *ͷʱ
 *  modUsbUartSendPkt();
 *
 *յʱ
 *  ûmodUartRxCallbackFunctionᱻá
 *
 */



/**
 * ʼӿ
 */
int8 modUsbUartInit();

/**
 * ģӿ
 */
void modUsbUartDoProcess();

/**
 * ʹܽӿ
 */
void modUsbUartEnableRxFlow();
void modUsbUartDisableRxFlow();


/**
 * ͷӿ
 */
int8 modUsbUartSendPkt(uint8 vSize, const uint8 *vPacket);

/**
 * ýշصӿ
 */

int8 modUsbUartSetRxCallback(modUartRxCallbackFunction* vFunction );


#endif  // MOD_USB_UART_H
