/******************************************************************************
Filename:     modPwm.h
Description:
H.Zheng MCU common building block layer module library: Timer part

ӦÿͨӿʵPWM

modification:
  2014.03.23 creation Zheng Hui

COPYRIGHT
Zheng Hui, Guangzhou, China.

******************************************************************************/
#ifndef MOD_PWM_H
#define MOD_PWM_H

#include "modTypes.h"

//
// עķֵѭmodTypes.hеĶ壺0Ϊɹ<0Ϊʧܣ-4Ϊֵֻ֧򱾺δʵ֡
//
/**
 * PWMжϻص
 * TimerﵽvOverflowCountsʱصá
 * صTimerжϷбã˴ʱӦ̡ܶ
 * 
 */
typedef int8 modPwmCallbackFunction();

/**
 * PWMܳʼӿ
 * ײʵֶ֧·PWMźʱchannelʹͬźڡص
 * صTimer
 * 
 * vPeriodTicksźNλΪtick1 tick೤ʱɵײʵĵָ
 *               N=0ʱʾֹͣPWMܡ
 * vOverflowCountsTimerﵽvOverflowCountsʱصá
 * vFunctionûĻص
 */
int8 modPwmInit(uint16 vPeriodTicks, uint8 vOverflowCounts, modPwmCallbackFunction* vFunction);


/**
 * øߵƽȽӿ
 * 
 * vWidthMλΪtick
 */
int8 modPwmSetWidth(uint16 vWidth);


#endif  // MOD_PWM_H
