/******************************************************************************
Filename:     modRf.h
Description:
H.Zheng common building block layer module library: WSN RF part

modification:
  2008.1.5 creation Zheng Hui
  2008.1.14 ȥhalculʹӿļΪAPPĹӿڡʹAPPҪ֪halcul뼰塣
  2011.12.20 ֲMSSTAT_LRWPAN޸ġ
  2012.04.15 renew structure and contents.

COPYRIGHT
Zheng Hui, Guangzhou, China. 

******************************************************************************/
#ifndef MOD_RF_H
#define MOD_RF_H

#include "modTypes.h"

//
// עķֵѭmodTypes.hеĶ壺0Ϊɹ<0Ϊʧܣ-4Ϊֵֻ֧򱾺δʵ֡
//

#define MOD_BROADCAST_ADDRESS 0x0FFFF

/**
 * Ƶʼýӿ
 * 
 *     vNodeId: ڵַȡֵΧ0-0xFFFE0x0FFFFΪ㲥ַã
 *     vPanId: IDͬPanIdĽڵſ໥ͨţȡֵΧ0-0xFFFE0x0FFFFݲʹã
 *     vChannel: ƵŵIDȡֵΧ淶أ
 *     vAckRequestFlag: ·Ϣȷϱ־ʾ͵ķǷҪԷȷϢ0ΪҪ0ΪҪ
 *     vSecurityFlag: ·ܱ־ʾ͵ķǷҪܣ0ΪҪ0ΪҪҪʱvKeyΪ0
 *     vKey: ·Կָ룬ָԿԿʵֻأҪʱΪ0
 */
int8 modRfInit(uint16 vNodeId, uint16 vPanId, uint8 vChannel, uint8 vAckRequestFlag,
               uint8 vSecurityFlag, uint8 *vKey);

/**
 * ͷӿ
 * 
 *     vDestinationId: Զ˵ַȡֵΧ0-0xFFFF0x0FFFFΪ㲥
 *     vSize: ͵û鳤ȣֽĿȡֵΧԼ·ʵֻйأ
 *     vPacket: ûָ룬ָ͵û飻
 */
int8 modRfSendPkt(uint16 vDestinationId, uint8 vSize, uint8* vPacket);



/**
 * շӿ
 */
/**
 * շص
 * 
 *     vSourceId: յķķͽڵַ
 *     vDestinationId: յķĽսڵַ
 *     vSize: յķûϢֳȣֽĿ
 *     vPacket: յķûϢָ룻
 *     vRssi: յķĽźǿָʾֵָʾ÷ʱĵŲźǿȣ
 * ֵ
 *     0=ɴҪ
 *     1=ɴɼԸ÷д
 *     -1=ʽֹԸ÷д
 *     -2=ʽɼԸ÷д
 */
typedef int8 modRfRxCallbackFunction(uint16 vSourceId, uint16 vDestinationId, uint8 vSize, uint8* vPacket, int16 vRssi);

/**
 * ýշصӿ
 * 
 *     vFunction: ûƵķصָ룻
 */
int8 modRfSetRxCallback(modRfRxCallbackFunction* vFunction );

/**
 * ģʽӿ
 */
int8 modRfStartRx();

/*+***************************************************************
 Ϊƽֵ̨֧RFӿں
 ΪѡRFӿں
 **************************************************************-*/

/**
 * ͹ýӿ
 * 
 *     vPowerLevel: 书ʵȼ0Ϊ0dBmӦ0dBmӦ0dBmӦϵӲأ
 */
int8 modRfSetTxPower(int8 vPowerLevel);


#endif  // MOD_RF_H
