/******************************************************************************
Filename:     modSys.h
Description:
H.Zheng MCU common building block layer module library: system part

modification:
  2008.1.14 creation Zheng Hui
  2012.04.15 renew structure and contents.
2012.07.07 ԿgModDebugFlag

COPYRIGHT
Zheng Hui, Guangzhou, China.

******************************************************************************/
#ifndef MOD_SYS_H
#define MOD_SYS_H

#include "modTypes.h"

//
// עķֵѭmodTypes.hеĶ壺0Ϊɹ<0Ϊʧܣ-4Ϊֵֻ֧򱾺δʵ֡
//
/**
 * Կ
 */
extern uint8 gModStackDebugFlag;

/**
 * ΢ʼӿ
 */
int8 modMcuInit();

/**
 * ʱӿڣ
 * 
 *     vMilliSecond: ʱ
 * עʱʱ䲻ȷ
 */
int8 modDelay(uint16 vMilliSecond);

/**
 * usʱӿڣ
 * 
 *     vMicroSecond: ʱ΢
 * עʱʱ䲻ȷ
 */
int8 modDelayUs(uint16 vMicroSecond);


/*****************************
 * CC2530 STACK ضӿ
 ****************************/
/**
 * ȫжӿ: 0=disable; 1=enable
 */
void modGlobalInterruptEnable(uint8 vEnabled);
uint8 modGetInterruptMode();

#endif  // MOD_SYS_H
