/******************************************************************************
Filename:     modTypes.h
Description:
  define common types used in mod layer and upper layer
modification:
  2012.01.06 renew structure and contents.

COPYRIGHT
Zheng Hui, Guangzhou, China. 

******************************************************************************/
#ifndef MOD_TYPES_H
#define MOD_TYPES_H

#ifndef FALSE
   #define FALSE 0
#endif

#ifndef TRUE
   #define TRUE 1
#endif

#ifndef NULL
   #define NULL 0
#endif


// Unsigned numbers
typedef unsigned char       uint8;
typedef unsigned short      uint16;
typedef unsigned long       uint32;

// Signed numbers
typedef signed char         int8;
typedef signed short        int16;
typedef signed long         int32;


//ZH MOD layer common function return value
//ret value <0 means failure
#define MOD_RET_SUCCESS      0
#define MOD_RET_NOT_SUPPORT -4  //parameter value out of supported range or function not implemented


#endif  // MOD_TYPES_H
